Topic
  • 3 replies
  • Latest Post - ‏2014-02-07T11:13:31Z by Daniel B.
moose4lord
moose4lord
1 Post

Pinned topic Android ADT plugin install issue

‏2013-12-20T16:48:19Z |

I installed Kepler and the WebSphere Developer Tools for Eclipse and everything was working fine. Then I tried to install the Android ADT plugin and got the following error:

Cannot complete the install because one or more required items could not be found.
Software currently installed: Eclipse IDE for Java EE Developers 2.0.1.20130919-0803 (epp.package.jee 2.0.1.20130919-0803)
Missing requirement: JavaScript Development Tools 1.5.1.v201307171524-7H7FFhVFC7sResSz-gpggbs (org.eclipse.wst.jsdt.feature.feature.group 1.5.1.v201307171524-7H7FFhVFC7sResSz-gpggbs) requires 'org.eclipse.wst.jsdt.core [1.3.0.v201308282108]' but it could not be found
Cannot satisfy dependency:
From: Eclipse IDE for Java EE Developers 2.0.1.20130919-0803 (epp.package.jee 2.0.1.20130919-0803)
To: org.eclipse.epp.package.jee.feature.feature.group [2.0.1.20130919-0803]
Cannot satisfy dependency:
From: Java EE IDE Feature 2.0.1.20130919-0803 (org.eclipse.epp.package.jee.feature.feature.group 2.0.1.20130919-0803)
To: org.eclipse.wst.jsdt.feature.feature.group 0.0.0

I checked the base Kepler install and it has the plug ADT is complaining about (org.eclipse.wst.jsdt.core [1.3.0.v201308282108]), but WDT installs an older version (org.eclipse.wst.jsdt.core [1.3.0.v20130510_1037]). I worked around the problem by uninstalling WDT, installing ADT and then reinstalling WDT, but that was a pain. Someone might want to check the plugin dependencies in WDT.

 

 

  • e_yuen
    e_yuen
    27 Posts

    Re: Android ADT plugin install issue

    ‏2013-12-20T19:27:41Z  

    Thanks for reporting the problem.  We'll investigate why it causes an older version of jsdt plugin to get installed.

    Elson

  • MJS
    MJS
    1 Post

    Re: Android ADT plugin install issue

    ‏2014-01-31T17:03:30Z  
    • e_yuen
    • ‏2013-12-20T19:27:41Z

    Thanks for reporting the problem.  We'll investigate why it causes an older version of jsdt plugin to get installed.

    Elson

    Hi,

    I'm having the same problem.

    Is there a solution or workaround to this already?

    Regards,

    Mafnred

  • Daniel B.
    Daniel B.
    1 Post

    Re: Android ADT plugin install issue

    ‏2014-02-07T11:13:31Z  
    • e_yuen
    • ‏2013-12-20T19:27:41Z

    Thanks for reporting the problem.  We'll investigate why it causes an older version of jsdt plugin to get installed.

    Elson

    Hi, I have the same issue. I was trying to combine Kepler, Worklight and WebSphere.Then got the same error when installing ADT. But in my case, uninstalling WDT did not help.

    Before I have uninstalled WDT,  both versions of jsdt were in the plugin directory:

    • org.eclipse.wst.jsdt.core_1.3.0.v20130510_1037.jar (IBM specific "bug fix")
    • org.eclipse.wst.jsdt.core_1.3.0.v201308282108.jar (standard one, required by Android).

    The WDT uninstall process did remove the new one (org.eclipse.wst.jsdt.core_1.3.0.v201308282108.jar), not the one that WDT originally installed ! Also, the feature "com.ibm.jsdt.42.feature.patch_1.0.0.v20130510_1037-...", which seems to cause the issue, is still there after the uninstall.

    So now my Kepler is messed up completely. No WDT, and proprietary jsdt.core.

    I think it would be good to put at least a note on the WDT page: the recommended way should be to use a separate eclipse installation for WDT, as long as it requires these proprietary fixes.